using SecureSharing.Models;

namespace SecureSharing.Infrastructure;

public interface IModelFactory
{
    //public MessageModel PrepareMessageVM(MessageDto message);
    public Task<LinkModel> PrepareLinkVM(Guid code, bool? share, bool? edit);
    public Task<LinkModel> PrepareLinkAnonymous(Guid code, bool? edit);
    public Task<LinkModel> PrepareLinkEdit(Guid code, bool? edit);
}